Subject: Re: Landscape Damage from Deer

From: [email-masked] (CLARB2)
Date: 4 May 1995 09:42:35 -0400

The only sure-fire method to keep deer away is to put up a fence.  Either
an 8' high single fence so the deer can't jump over it, or two 4' fences 5
feet apart.

As a repellent, the best solution is to mix eggs with water and spray it
around the plants you don't want eaten.  This only has a 50% success rate,
however.  I think the mix is 18 eggs per 5 gallons of water.  The deer are
repelled by the smell of the eggs decomposing; however, this mixture
cannot be detected by humans.

I got this information from a book, which unfortunately I left at home
today.  I have deer, but I don't have problems yet, because I just put the
plants in this year.  I have been spraying commercial repellent and, so
far so good.  But, I'm going to start using the egg spray because the
other stuff is too expensive!

Good luck!  

Jim at [email-masked]